#ifndef __DUNE_MMDG_CLOCKHELPER_HH__
#define __DUNE_MMDG_CLOCKHELPER_HH__

#include <chrono>

class ClockHelper
{
  public:
    using Clock = std::chrono::steady_clock;

    //returns the elapsed run time since the time point begin in seconds with a
    //precision of a microsecond
    static double elapsedRuntime(const Clock::time_point begin)
    {
      return 1e-6*std::chrono::duration_cast<std::chrono::microseconds>
        (Clock::now() - begin).count();;
    }
};

#endif
